Subject: [mpls] I-D Action: draft-ietf-mpls-egress-tlv-for-nil-fec-04.txt

From: [email-masked]
Date: Wed, 30 Mar 2022 09:50:39 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiprotocol Label Switching WG of the IETF.

        Title           : Egress TLV for Nil FEC in Label Switched Path Ping and Traceroute Mechanisms
        Authors         : Deepti N. Rathi
                          Kapil Arora
                          Shraddha Hegde
                          Zafar Ali
                          Nagendra Kumar Nainar
	Filename        : draft-ietf-mpls-egress-tlv-for-nil-fec-04.txt
	Pages           : 10
	Date            : 2022-03-30

Abstract:
   MPLS ping and traceroute mechanism as described in RFC 8029 and
   related extensions for SR as defined in RFC 8287 is very useful to
   precisely validate the control plane and data plane synchronization.
   There is a possibility that all intermediate or transit nodes may not
   have been upgraded to support these validation procedures.  A simple
   mpls ping and traceroute mechanism comprises of ability to traverse
   any path without having to validate the control plane state.  RFC
   8029 supports this mechanism with Nil FEC.  The procedures described
   in RFC 8029 are mostly applicable when the Nil FEC is used as
   intermediate FEC in the label stack.  When all labels in label stack
   are represented using single Nil FEC, it poses some challenges.

   This document introduces new TLV as additional extension to exisiting
   Nil FEC and describes mpls ping and traceroute procedures using Nil
   FEC with this additional extensions to overcome these challenges.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mpls-egress-tlv-for-nil-fec/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-mpls-egress-tlv-for-nil-fec-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-egress-tlv-for-nil-fec-04

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts